function p.__get_is_solid() return true end
function p.__get_tex() return "block_chem" end

function p.__main()
    set_default_block("r_chem")
    
    create_rect("e", 1,1,1, 14,14,14)
    --Door.
    create_rect("r_green", 5,0,5, 9,0,9)
    create_rect("e", 6,0,6, 8,0,8)
    --Door.
    create_rect("s", 0,5,5, 0,9,9)
    create_rect("e", 0,6,6, 0,8,8)
    --Door.
    create_rect("s", 5,15,5, 9,15,9)
    create_rect("e", 6,15,6, 8,15,8)
    
    local msg_str = "To store the number of diamonds in your inventory, "
        .. "we need an \"environment variable\". "
        .. "More specifically, we need something which we call a "
        .. "\"^x00ff00global variable^!\". "
        .. "The file \"^x00ff00gloabals.txt^!\" lists which global variables "
        .. "are introduced by the package. "
        .. "Go to \"globals.txt\" now and read it. "
        .. "You will find the global variable \"game.diamonds\". "
    add_bent_s(7,7,9,"bent_base_txt",msg_str)

    msg_str = "This package can use "
        .. "all of variables listed in globals.txt, "
        .. "as well as all variables listed "
        .. "in the globals.txt files of the packages on which this "
        .. "package depends. "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)

    msg_str = "A global variable with name \"X\" is stored in the "
        .. "environment variable \"game.globals.X\". "
        .. "Globals variables are automatically saved when the game "
        .. "is saved, and are loaded when a game is loaded. "
    add_bent_s(7,7,5,"bent_base_txt",msg_str)
end
